<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:types="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:TYPES:V1.51" xmlns:ref="http://ws-i.org/profiles/basic/1.1/xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:ws="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:V1.51" xmlns:conv="http://www.openuri.org/2002/04/soap/conversation/" targetNamespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:V1.51">
	<wsdl:types>
		<xs:schema elementFormDefault="qualified" targetNamespace="urn:publicid:-:EC:DGTAXUD:EMCS:PHASE3:WEBSERVICE:TYPES:V1.51" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
			<xs:element name="startRetrievalOrExtract">
				<xs:complexType>
					<xs:sequence/>
				</xs:complexType>
			</xs:element>
			<xs:element name="startRetrievalOrExtractResponse">
				<xs:complexType>
					<xs:sequence/>
				</xs:complexType>
			</xs:element>
			<xs:element name="getRetrievalOrExtract">
				<xs:complexType>
					<xs:sequence/>
				</xs:complexType>
			</xs:element>
			<xs:element name="getRetrievalOrExtractResponse">
				<xs:complexType>
					<xs:sequence>
						<xs:element name="ActionSucceeded" type="xs:boolean"/>
						<xs:element name="ActionResult" minOccurs="0">
							<xs:simpleType>
								<xs:restriction base="xs:token">
									<xs:enumeration value="Success"/>
									<xs:enumeration value="Error"/>
								</xs:restriction>
							</xs:simpleType>
						</xs:element>
					</xs:sequence>
				</xs:complexType>
			</xs:element>
			<xs:element name="stopRetrievalOrExtract">
				<xs:complexType>
					<xs:sequence/>
				</xs:complexType>
			</xs:element>
			<xs:element name="stopRetrievalOrExtractResponse">
				<xs:complexType>
					<xs:sequence/>
				</xs:complexType>
			</xs:element>
		</xs:schema>
		<xs:schema elementFormDefault="qualified" targetNamespace="http://www.openuri.org/2002/04/soap/conversation/">
			<xs:element name="StartHeader" type="conv:StartHeader"/>
			<xs:element name="ContinueHeader" type="conv:ContinueHeader"/>
			<xs:element name="CallbackHeader" type="conv:CallbackHeader"/>
			<xs:complexType name="StartHeader">
				<xs:sequence>
					<xs:element name="conversationID" type="xs:token" minOccurs="0"/>
					<xs:element name="callbackLocation" type="xs:token" minOccurs="0"/>
				</xs:sequence>
			</xs:complexType>
			<xs:complexType name="ContinueHeader">
				<xs:sequence>
					<xs:element name="conversationID" type="xs:token"/>
				</xs:sequence>
			</xs:complexType>
			<xs:complexType name="CallbackHeader">
				<xs:sequence>
					<xs:element name="conversationID" type="xs:token"/>
				</xs:sequence>
			</xs:complexType>
		</xs:schema>
	</wsdl:types>
	<wsdl:message name="StartHeader_literal">
		<wsdl:part name="StartHeader" element="conv:StartHeader"/>
	</wsdl:message>
	<wsdl:message name="ContinueHeader_literal">
		<wsdl:part name="ContinueHeader" element="conv:ContinueHeader"/>
	</wsdl:message>
	<wsdl:message name="startRetrievalOrExtractSoapIn">
		<wsdl:part name="startRetrievalOrExtractParameters" element="types:startRetrievalOrExtract"/>
		<wsdl:part name="request" type="xs:base64Binary"/>
	</wsdl:message>
	<wsdl:message name="startRetrievalOrExtractSoapOut">
		<wsdl:part name="startRetrievalOrExtractResponseParameters" element="types:startRetrievalOrExtractResponse"/>
	</wsdl:message>
	<wsdl:message name="getRetrievalOrExtractSoapIn">
		<wsdl:part name="getRetrievalOrExtractParameters" element="types:getRetrievalOrExtract"/>
	</wsdl:message>
	<wsdl:message name="getRetrievalOrExtractSoapOut">
		<wsdl:part name="getRetrievalOrExtractResponseParameters" element="types:getRetrievalOrExtractResponse"/>
		<wsdl:part name="retrievalOrExtract" type="xs:base64Binary"/>
	</wsdl:message>
	<wsdl:message name="stopRetrievalOrExtractSoapIn">
		<wsdl:part name="stopRetrievalOrExtractParameters" element="types:stopRetrievalOrExtract"/>
	</wsdl:message>
	<wsdl:message name="stopRetrievalOrExtractSoapOut">
		<wsdl:part name="stopRetrievalOrExtractResponseParameters" element="types:stopRetrievalOrExtractResponse"/>
	</wsdl:message>
	<wsdl:portType name="RetrieveOrExtractEntitySoap">
		<wsdl:operation name="startRetrievalOrExtract">
			<wsdl:input message="ws:startRetrievalOrExtractSoapIn"/>
			<wsdl:output message="ws:startRetrievalOrExtractSoapOut"/>
		</wsdl:operation>
		<wsdl:operation name="getRetrievalOrExtract">
			<wsdl:input message="ws:getRetrievalOrExtractSoapIn"/>
			<wsdl:output message="ws:getRetrievalOrExtractSoapOut"/>
		</wsdl:operation>
		<wsdl:operation name="stopRetrievalOrExtract">
			<wsdl:input message="ws:stopRetrievalOrExtractSoapIn"/>
			<wsdl:output message="ws:stopRetrievalOrExtractSoapOut"/>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="RetrieveOrExtractEntitySoap" type="ws:RetrieveOrExtractEntitySoap">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsdl:operation name="startRetrievalOrExtract">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/startRetrievalOrExtract"/>
			<conv:transition phase="start"/>
			<wsdl:input>
				<mime:multipartRelated>
					<mime:part>
						<soap:body parts="startRetrievalOrExtractParameters" use="literal"/>
						<soap:header message="ws:StartHeader_literal" part="StartHeader" use="literal" wsdl:required="true"/>
					</mime:part>
					<mime:part>
						<mime:content part="request" type="application/octet-stream"/>
					</mime:part>
				</mime:multipartRelated>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getRetrievalOrExtract">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/getRetrievalOrExtract"/>
			<conv:transition phase="continue"/>
			<wsdl:input>
				<soap:body use="literal"/>
				<soap:header message="ws:ContinueHeader_literal" part="ContinueHeader" use="literal" wsdl:required="true"/>
			</wsdl:input>
			<wsdl:output>
				<mime:multipartRelated>
					<mime:part>
						<soap:body parts="getRetrievalOrExtractResponseParameters" use="literal"/>
					</mime:part>
					<mime:part>
						<mime:content part="retrievalOrExtract" type="application/octet-stream"/>
					</mime:part>
				</mime:multipartRelated>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="stopRetrievalOrExtract">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/stopRetrievalOrExtract" style="document"/>
			<conv:transition phase="finish"/>
			<wsdl:input>
				<soap:body use="literal"/>
				<soap:header message="ws:ContinueHeader_literal" part="ContinueHeader" use="literal" wsdl:required="true"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="RetrieveOrExtractEntity">
		<wsdl:port name="RetrieveOrExtractEntitySoap" binding="ws:RetrieveOrExtractEntitySoap">
			<soap:address location="https://seed.dgtaxud.ec:8443/SEEDv1WS/entity/RetrieveOrExtractEntity.jws"/>
		</wsdl:port>
	</wsdl:service>
</wsdl:definitions>
